View Issue Details

IDProjectCategoryView StatusLast Update
0005226SymmetricDS ProImprovementpublic2022-07-27 20:54
Reporteremiller Assigned Toemiller  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.13.0 
Target Version3.14.0Fixed in Version3.14.0 
Summary0005226: Improve how the router form handles Target Table, Target Catalog, and Target Schema fields
Description- For "New" (or "Edit" when "Target Table" is blank using StringUtils.isBlank()), hide the "Target Table" field to discourage its use
- When "Target Table" field is displayed, put a warning icon next it
- Clicking the warning icon displays a notification with the following: "The "target table" field is deprecated and will be removed in the future. Use a table transform to rename the table instead."
- When checking "Use Source Catalog/Schema", clear the fields for "Target Catalog" and "Target Schema"
TagsNo tags attached.

Relationships

related to 0005269 closedelong SymmetricDS Variables of source catalog/schema names for use in target catalog/schema fields in routing 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2022-02-22 21:44 emiller New Issue
2022-02-22 21:44 emiller Status new => assigned
2022-02-22 21:44 emiller Assigned To => emiller
2022-02-22 21:53 emiller Status assigned => resolved
2022-02-22 21:53 emiller Resolution open => fixed
2022-02-22 21:53 emiller Fixed in Version => 3.13.4
2022-02-23 13:13 emiller Status resolved => assigned
2022-02-23 13:13 emiller Resolution fixed => open
2022-02-23 13:13 emiller Fixed in Version 3.13.4 =>
2022-02-24 15:45 emiller Target Version 3.13.4 => 3.14.0
2022-02-24 15:52 emiller Category Bug => Improvement
2022-02-24 15:52 emiller Summary Enabling Use Source Catalog/Schema checkbox in router form should clear Target Catalog and Target Schema fields => Improve how the router form handles Target Table, Target Catalog, and Target Schema fields
2022-02-24 15:52 emiller Description Updated View Revisions
2022-02-24 18:48 emiller Status assigned => resolved
2022-02-24 18:48 emiller Resolution open => fixed
2022-02-24 18:48 emiller Fixed in Version => 3.14.0
2022-04-14 20:03 elong Relationship added related to 0005269
2022-07-27 20:54 admin Status resolved => closed